Bug 112428 - PersistenceException when assigning a template to a content type and category
PersistenceException when assigning a template to a content type and category
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: ui (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks: 108447
  Show dependency treegraph
 
Reported: 2003-12-19 11:20 EST by Carsten Clasohm
Modified: 2007-04-18 13:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 05:07:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carsten Clasohm 2003-12-19 11:20:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20030925

Description of problem:
When one tries to assign a template to a content type and a category
using the "Categories" tab of the content section admin UI, the system
throws an exception.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a template (content section admin page, "Content types" tab,
select one content type, click on "Add template").
2. Go the admin pages of a content section and select the Categories tab.
3. Select a category on the left-hand side.
4. Click on the "Assign Template" button.
5. Click on the "Assign this template" link.


Actual Results:   (root cause: cursor does not fetch path: template.label)
com.arsdigita.persistence.PersistenceException:  (root cause:
com.redhat.persistence.NotFetchedException: cursor does not fetch
path: template.label)
	at
com.arsdigita.persistence.PersistenceException.newInstance(PersistenceException.java:137)
	at
com.arsdigita.persistence.PersistenceException.newInstance(PersistenceException.java:109)
	at com.arsdigita.persistence.DataQueryImpl.get(DataQueryImpl.java:389)
	at
com.arsdigita.toolbox.ui.DataTable$DataQueryTableModel.getElementAt(DataTable.java:790)
	at com.arsdigita.bebop.Table.generateXML(Table.java:719)


Expected Results:  The template should be assigned and listed afterwards.

Additional info:

As you can see, the exception occurs when the system tries to list the
assigned templates. The reason for the exception is that the
definition of CategoryTemplateMapping in Template.pdl does not list
template.label as an attribute which should be loaded aggressively,
while some code in the CMS UI assumes that this attribute is available.

A fix for this can be found in changelist 38975.
Comment 1 Richard Li 2004-02-13 09:35:47 EST
on dev @40356
Comment 2 Carsten Clasohm 2006-07-12 05:07:46 EDT
Closing old tickets.

Note You need to log in before you can comment on or make changes to this bug.